#268 wrapper.exe crashes after upgrading from 3.5.6/7 to 3.5.11.

closed-fixed
Service (34)
5
2011-11-04
2011-10-13
charly
No

At 03.10.2011 wrapper version 3.5.11 was installed at a Windows 2003 R2 Server. Afterwards wrapper.exe crashed 3 times til now. Every crash leaves an entry in the application eventlog Before the version 3.5.6 executed several months without such crashes.

Ereignistyp: Fehler
Ereignisquelle: Application Error
Ereigniskategorie: (100)
Ereigniskennung: 1000
Datum: 06.10.2011
Zeit: 00:01:32
Benutzer: Nicht zutreffend
Computer: nodename
Beschreibung:
Faulting application wrapper.exe, version 3.5.11.0, faulting module wrapper.exe, version 3.5.11.0, fault address 0x00025819.

Ereignistyp: Fehler
Ereignisquelle: Application Error
Ereigniskategorie: (100)
Ereigniskennung: 1000
Datum: 13.10.2011
Zeit: 00:02:00
Benutzer: Nicht zutreffend
Computer: nodename
Beschreibung:
Faulting application wrapper.exe, version 3.5.11.0, faulting module wrapper.exe, version 3.5.11.0, fault address 0x00025819.

At 06.10.2011 00:01:32 , 13.10.2011 00:02:00 the wrapper had to switch the log file but apparently failed to open/create the new files.
Wrapper.exe crashed and as a consequence the jvm process initiated the (tomcat) shutdown.

Ereignistyp: Fehler
Ereignisquelle: Application Error
Ereigniskategorie: (100)
Ereigniskennung: 1000
Datum: 13.10.2011
Zeit: 13:24:19
Benutzer: Nicht zutreffend
Computer: nodename
Beschreibung:
Faulting application wrapper.exe, version 3.5.11.0, faulting module wrapper.exe, version 3.5.11.0, fault address 0x00025819.

I dont know if the source of the fault is not the server itself. But there is an second wrapper 3.5.11 almost identically installed
at the same day. This service had no crashes. The previous version 3.5.6/7 executed over months without error.
So my confidence in the version 3.5.11 is limited.

config of the faulting service:

SERVICE_NAME: Apache_Tomcat__PROD_60
TYPE : 10 WIN32_OWN_PROCESS
START_TYPE : 2 AUTO_START
ERROR_CONTROL : 1 NORMAL
BINARY_PATH_NAME : D:\Programme\wrapper-windows-x86-32-3.5.11\bin\wrapper.exe -s D:\Programme\tomcat_base_PROD\conf\wrapper_60.conf
LOAD_ORDER_GROUP :
TAG : 0
DISPLAY_NAME : Apache_Tomcat__PROD_60
DEPENDENCIES :
SERVICE_START_NAME : LocalSystem

config of the fault free service:

SERVICE_NAME: Apache_Tomcat__dev_60
TYPE : 10 WIN32_OWN_PROCESS
START_TYPE : 2 AUTO_START
ERROR_CONTROL : 1 NORMAL
BINARY_PATH_NAME : D:\Programme\wrapper-windows-x86-32-3.5.11\bin\wrapper.exe -s D:\Programme\tomcat_base_dev\conf\wrapper_60.conf
LOAD_ORDER_GROUP :
TAG : 0
DISPLAY_NAME : Apache_Tomcat__dev_60
DEPENDENCIES :
SERVICE_START_NAME : LocalSystem

Discussion

  • charly
    charly
    2011-10-14

    After this crash today:
    Ereignistyp: Fehler
    Ereignisquelle: Application Error
    Ereigniskategorie: (100)
    Ereigniskennung: 1000
    Datum: 14.10.2011
    Zeit: 09:27:57
    Benutzer: Nicht zutreffend
    Computer: nodename
    Beschreibung:
    Faulting application wrapper.exe, version 3.5.11.0, faulting module wrapper.exe, version 3.5.11.0, fault address 0x00025819.

    I reactivated wrapper version 3.5.7. I do not expect further crashes.

     
  • hello charly,

    I'm very sorry for the trouble.

    We were looking into this issue and tried to reproduce the error on our test environment. However haven't been able to reproduce it yet.Could you please send us the log file as well as the conf file?
    If the Wrapper crashed, there should be a dump file in the bin directory as well, which would be very helpful if we could analyze that file as well.
    You can also send us the files via email to support[at]tanukisoftware.com

    thank you,
    christian

     
  • charly
    charly
    2011-10-18

    I have sent my wrapper_60.conf and aggregated logs per email.

    There is no dump file. To my opinion this must be configured at windows before such crash. If you could provide me some links to websites where dealing with dumpfiles is explained I could do so and examine the dumpfiles. I think you are interested in the native crash stacktrace and maybe some data. I avoid sending such files outside the company.

    I have reactivated 3.5.11. I will see if and when the next crash will occur.

    Regards Charly

     
  • Leif Mortenson
    Leif Mortenson
    2011-11-04

    • assigned_to: nobody --> naytzyrhc
    • status: open --> closed-fixed
     
  • Leif Mortenson
    Leif Mortenson
    2011-11-04

    Fixed a buffer overflow problem that would happen the second time an internal logging buffer was expanded. This would happen on any platform the first time a log line from the JVM over 3072 characters in length was encountered.
    We were only able to reproduce a crash on the 32-bit version of Windows, but the buffer overflow was possible on all platforms.
    This problem existed in 3.5.11 and 3.5.12.